> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/directory/directoryusdget.md).

# Directory$get

### Directory$<mark style="color:purple;">get</mark>(*path*) → [File](/api/client-libraries/redivis-r/reference/file.md) | [Directory](/api/client-libraries/redivis-r/reference/directory.md) | None

This method allows you to navigate directory a directory structure using standard path semantics. Returns `None` if no file or directory exists at the given path.

### **Parameters:**

**`path` :&#x20;*****str***\
The path of the file or directory, relative to this directory within the tree. Follows standard path semantics, including relative and absolute paths. When providing an absolute path, the directory root – that is, `directory$get("/")`  – will always be the top level directory in the current directory tree.

### **Returns:**&#x20;

[**File**](/api/client-libraries/redivis-r/reference/file.md) **|** [**Directory**](/api/client-libraries/redivis-r/reference/directory.md) **| None**

### Examples:

```r
dir <- redivis$table("table_ref")$to_directory()

f <- dir$get("path/to/file.txt") # Will return None if doesn't exist
subdir <- dir$get("path/to/subdir")

print(subdir$get("../")$path) # -> "/path/to"
rootdir <- subdir$get("/")
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/directory/directoryusdget.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
